Bug 521365 - ERROR with rpm_check_debug vs depsolve: smartmontools (F9 v. F11 pkgs)
Summary: ERROR with rpm_check_debug vs depsolve: smartmontools (F9 v. F11 pkgs)
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: yum
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Seth Vidal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-05 07:19 UTC by Christopher Beland
Modified: 2014-01-21 23:11 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-09 20:07:20 UTC


Attachments (Terms of Use)

Description Christopher Beland 2009-09-05 07:19:51 UTC
"yum update" currently produces:

>>
================================================================================
 Package            Arch      Version                Repository            Size
================================================================================
Updating:
 smartmontools      i586      1:5.38-13.fc11         updates-testing      344 k
Installing for dependencies:
 libcap-ng          i586      0.6.1-1.fc11           updates-testing       21 k

Transaction Summary
================================================================================
Install      1 Package(s)         
Update       1 Package(s)         
Remove       0 Package(s)         

Total size: 365 k
Is this ok [y/N]: y
Downloading Packages:
Running rpm_check_debug
ERROR with rpm_check_debug vs depsolve:
smartmontools = 1:5.38-2.fc9 is needed by (installed) smartmontools-config-1:5.38-2.fc9.i386
Complete!
(1, [u'Please report this error in http://yum.baseurl.org/report'])

<<

I would expect the system to be able to figure out how to upgrade smartmontools on its own.  I used preupgrade + anaconda to go from F9 to F11.

> rpm -qa |grep -i smart | sort
fedora-package-config-smart-11-19.i586
libatasmart-0.12-3.fc11.i586
libatasmart-debuginfo-0.12-3.fc11.i586
PackageKit-smart-0.4.9-1.fc11.i586
smart-1.2-64.fc11.i586
smart-debuginfo-1.2-64.fc11.i586
smartmontools-5.38-11.fc11.i586
smartmontools-config-5.38-2.fc9.i386
smartmontools-debuginfo-5.38-13.fc11.i586
                                                                                > rpm -q yum
yum-3.2.23-3.fc11.noarch

Comment 1 seth vidal 2009-09-05 12:32:34 UTC
please test yum-3.2.24-1.fc11 from updates-testing and see if this is still a problem or if the error output changes.

https://admin.fedoraproject.org/updates/yum-3.2.24-1.fc11

Comment 2 Christopher Beland 2009-09-07 18:09:48 UTC
With yum-3.2.24-1.fc11.noarch.rpm, I get the same output and error (except that the line "Remove       0 Package(s)" no longer appears).

Comment 3 seth vidal 2009-09-09 19:33:26 UTC
If you run:

rpm -Va --nofiles --nodigest

what do you get back?

Comment 4 Christopher Beland 2009-09-09 20:03:19 UTC
"rpm -Va --nofiles --nodigest" produces:

Unsatisfied dependencies for smartmontools-config-1:5.38-2.fc9.i386:
	smartmontools = 1:5.38-2.fc9 is needed by smartmontools-config-1:5.38-2.fc9.i386
Unsatisfied dependencies for bluez-libs-debuginfo-3.36-1.fc9.i386:
	libbluetooth.so.2 is needed by bluez-libs-debuginfo-3.36-1.fc9.i386

Comment 5 seth vidal 2009-09-09 20:07:20 UTC
so your system apparently has some broken deps on it.

run package-cleanup --problems

clean up the issues there, then run yum again - I suspect it will work just fine.


Note You need to log in before you can comment on or make changes to this bug.